﻿using Orchard.ContentManagement;
using Orchard.ContentManagement.Aspects;
using Orchard.Core.Routable.Models;

namespace AwesomeSlider.Models
{
    public class SliderItemPart : ContentPart<SliderItemPartRecord>
    {
        public string Name
        {
            get { return this.As<RoutePart>().Title; }
            set { this.As<RoutePart>().Title = value; }
        }

        public string FileName
        {
            get
            {
                return Record.FileName;
            }

            set
            {
                Record.FileName = value;
            }
        }

        public string FileExtension
        {
            get
            {
                return Record.FileExtension;
            }

            set
            {
                Record.FileExtension = value;
            }
        }

        public string Description
        {
            get
            {
                return Record.Description;
            }

            set
            {
                Record.Description = value;
            }
        }

        public string FullName
        {
            get { return string.Format("{0}{1}", FileName, FileExtension); }
        }

        public string Path
        {
            get { return SliderPart.Name; }
        }

        public string FullPath
        {
            get { return System.IO.Path.Combine(Path, FullName); }
        }

        public SliderPart SliderPart
        {
            get { return this.As<ICommonPart>().Container.As<SliderPart>(); }
            set { this.As<ICommonPart>().Container = value; }
        }
    }
}