﻿using Orchard.UI.Resources;

namespace AwesomeSlider
{
    public class ResourceManifest : IResourceManifestProvider
    {
        public void BuildManifests(ResourceManifestBuilder builder)
        {
            builder.Add().DefineStyle("SliderAdmin").SetUrl("slider-admin.css");
            builder.Add().DefineStyle("Slider").SetUrl("slider.css");
            builder.Add().DefineStyle("SliderFileUploadCSS").SetUrl("slider.fileupload-ui.css");
            builder.Add().DefineStyle("SlidesCSS").SetUrl("global.css");
            //scripts
            builder.Add().DefineScript("SliderFileUploadUI").SetUrl("slider.fileupload-ui.js");
            builder.Add().DefineScript("SliderFileUpload").SetUrl("slider.fileupload.js").SetDependencies("jQuery", "SliderFileUploadUI");
            builder.Add().DefineScript("Slides").SetUrl("slides.min.jquery.js").SetDependencies("jQuery");
            builder.Add().DefineScript("SliderFileuploadAdmin").SetUrl("slider.admin-fileupload.js").SetDependencies("SliderFileUpload");
            builder.Add().DefineScript("SliderContextmenu").SetUrl("slider.contextmenu.js").SetDependencies("jQuery");

        }
    }
}